cURL
curl --request PATCH \ --url https://api.mapademics.com/v1/reports/{reportId} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>", "description": "<string>" } '
{ "id": "<string>", "organizationId": "<string>", "name": "<string>", "settings": { "reportType": "occupationCrosswalk", "courses": [ "<string>" ], "jobs": [ { "id": "15-1252", "lib": "soc" } ], "skills": [ { "id": "<string>", "lib": "internal" } ], "grouping": "courses", "view": "<string>", "area": { "type": "national", "code": "<string>" }, "version": 123 }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "description": "<string>", "deletedAt": "2023-11-07T05:31:56Z" }
Updates report metadata and/or settings. Settings must remain valid after update.
API key for authentication
Unique identifier for the report
Report name
Report description
Show child attributes
Report updated successfully
Was this page helpful?